aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Fainelli <florian@openwrt.org>2011-09-30 12:55:33 +0000
committerFlorian Fainelli <florian@openwrt.org>2011-09-30 12:55:33 +0000
commiteb0d293c2516a929a057b10c6888464a3c6db5fa (patch)
tree20ff02acfb954cb4a5c27a0b1e2293eb8c7861d9
parentc1999307b67c3fdd2e6ad01b526bbd334a293b8c (diff)
downloadupstream-eb0d293c2516a929a057b10c6888464a3c6db5fa.tar.gz
upstream-eb0d293c2516a929a057b10c6888464a3c6db5fa.tar.bz2
upstream-eb0d293c2516a929a057b10c6888464a3c6db5fa.zip
[brcm47xx]: add vlan definitions for Siemens SE505v2
Hi, this patch adds the correct vlan definitions for the Siemens SE505v2. It applies to trunk as well as backfire (please apply here too). On backfire this also patches brcm-2,4, because brcm47xx base-files is just symlinked to brcm-2.4. It also fixes two whitespace issues. Tested with brcm47xx on both trunk and backfire branch and works as expected. Signed-off-by: Manuel Munz <freifunk@somakoma.de> git-svn-id: svn://svn.openwrt.org/openwrt/trunk@28336 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rwxr-xr-xtarget/linux/brcm47xx/base-files/etc/init.d/netconfig5
1 files changed, 2 insertions, 3 deletions
diff --git a/target/linux/brcm47xx/base-files/etc/init.d/netconfig b/target/linux/brcm47xx/base-files/etc/init.d/netconfig
index 4de108a0c0..fb41ddd7c5 100755
--- a/target/linux/brcm47xx/base-files/etc/init.d/netconfig
+++ b/target/linux/brcm47xx/base-files/etc/init.d/netconfig
@@ -189,8 +189,7 @@ start() {
c["vlan0ports"]="1 2 3 4 5"
c["vlan1ports"]="0 5"
}
-
- if (model == "Motorola WR850G V2/V3") {
+ if ((model == "Motorola WR850G V2/V3") || (model == "Siemens SE505 V2")) {
c["vlan0ports"]="0 1 2 3 5"
c["vlan1ports"]="4 5"
}
@@ -211,7 +210,7 @@ start() {
print "#### VLAN configuration "
print "config switch eth0"
print " option enable 1"
- print ""
+ print ""
vlan(0, "vlan0ports")
vlan(1, "vlan1ports")
}